Bug 178138 - (Kovecses) Error messege: Fatal signal: Segmentation Fault (SDL Parachute Deployed) when trying to run certain sdl games like BZFlag and Cube
Error messege: Fatal signal: Segmentation Fault (SDL Parachute Deployed) wh...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 18:42 EST by Ray Kovecses
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 08:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Kovecses 2006-01-17 18:42:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I get the following error messege when trying to play certain games like bzflag and cube. Fatal signal: Segmentation Fault (SDL Parachute Deployed). I have found a soulution. In .bashrc located in home directory add the following lines.

SDL_AUDIODRIVER=dsp
export SDL_AUDIODRIVER

then restart and the games work fine.

Version-Release number of selected component (if applicable):
SDL-1.2.8-3.2

How reproducible:
Always

Steps to Reproduce:
1. Simply yum install bzflag then try to run
2.
3.
  

Actual Results:  Fatal signal: Segmentation Fault (SDL Parachute Deployed)

Expected Results:  Fatal signal: Segmentation Fault (SDL Parachute Deployed)

Additional info:

To fix

SDL_AUDIODRIVER=dsp
export SDL_AUDIODRIVER

in .bashrc
Comment 1 Thomas Woerner 2006-01-27 08:47:19 EST
There is a new SDL-1.2.8-4 package in FC-4 updates. It is using alsa as default.
Is this version working for you?
Comment 2 John Thacker 2006-05-06 08:25:12 EDT
Closing due to lack of response by reporter.

Note You need to log in before you can comment on or make changes to this bug.